import 'package:dio/dio.dart';
import 'package:http_interceptor/interceptor_contract.dart';
import 'package:http_interceptor/models/request_data.dart';
import 'package:http_interceptor/models/response_data.dart';

import 'SharedPrefHelper.dart';

class ApiInterceptor implements Interceptor {
  @override
  Future onError(DioError err) async {
    print("logd onError: $err");
    return err;
  }

  @override
  Future onRequest(RequestOptions options) async {
    try {
      var helper = SharedPreferenceHelper();
      var s = await helper.getToken();
      options.headers["Authorization"] = "Bearer $s";
      options.headers["Accept"] = "*/*";
    } catch (e) {}
    print("logd onRequest:  ${options.uri}");
    print("logd onRequest:  ${options.data}");
    return options;
  }

  @override
  Future onResponse(Response<dynamic> response) async {
    print("logd onResponse:  $response");

    return response;
  }
}
