import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:pt2_emulated_flutter/payment_transaction/model/language_enum.dart';
import 'package:pt2_emulated_flutter/payment_transaction/model/required_data_model.dart';
import 'package:pt2_emulated_flutter/payment_transaction/provider/payment_transaction_provider.dart';
import 'package:pt2_emulated_flutter/payment_transaction/widget/payment_page.dart';
import 'package:pt2_emulated_flutter/payment_verification/provider/payment_verification_provider.dart';

class PayTabsPage extends StatelessWidget {
  // This widget is the root of your application.
  final RequiredDataModel requiredMerchantData;

  PayTabsPage({
    Key key,
    @required this.requiredMerchantData,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MultiProvider(providers: [
      ChangeNotifierProvider<PaymentTransactionProvider>.value(
          notifier: PaymentTransactionProvider()),
      ChangeNotifierProvider<PaymentVerificationProvider>.value(
          notifier: PaymentVerificationProvider()),
    ], child: PaymentPage(requiredMerchantData: requiredMerchantData));
  }

}
