import 'dart:convert';

import 'package:dio/dio.dart';
import 'package:pt2_emulated_flutter/core/BaseResponse.dart';
import 'package:pt2_emulated_flutter/core/http_interceptor.dart';
import 'package:pt2_emulated_flutter/payment_verification/model/verify_payment_response_entity.dart';

import '../../constants.dart';

class PaymentVerificationRepo {
  Dio dio = new Dio();

  PaymentVerificationRepo() {dio.interceptors.add(ApiInterceptor());}

  Future<PayTabsBaseResponse<VerifyPaymentResponseEntity>> verifyPayment() async {
    try {
      var endpoint = "$BaseUrl/apiv3/verify_payment";
      FormData formData = new FormData.fromMap({
        "merchant_email": "jhamza@paytabs.com",
        "transaction_id": "123456",
        "secret_key":
            "vJCwKS9K9qDAZt69Qg2AiBe2YxY70QovA02kSb42CICBcJL2ZODipRknpjvqaTVKUY4Ma9PMRso4b96bYKtnBNL17grhan14l6Rw",
      });
      var response = await dio.post<String>('$endpoint',
          data: formData);
      var responseEntity = VerifyPaymentResponseEntity().fromJson(json.decode(response.data));
      return PayTabsBaseResponse<VerifyPaymentResponseEntity>(
          businessCode: "",
          data: responseEntity,
          status: responseEntity.responseCode == SUCCESS_RESPONSE_CODE,
          messages: null);
    } catch (e) {
      print("logd verifyPayment $e");
      return PayTabsBaseResponse<VerifyPaymentResponseEntity>(
          businessCode: "", data: null, status: false, messages: null);
    }
  }
}
