import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:pt2_emulated_flutter/core/BaseResponse.dart';
import 'package:pt2_emulated_flutter/payment_transaction/provider/payment_transaction_provider.dart';
import 'package:pt2_emulated_flutter/payment_verification/model/verify_payment_response_entity.dart';
import 'package:pt2_emulated_flutter/payment_verification/provider/payment_verification_provider.dart';
import 'package:webview_flutter/webview_flutter.dart';

class VerifyPaymentWidget extends StatefulWidget {
  final merchantEmail;
  final secretKey;
  final transactionId;

  VerifyPaymentWidget({
    Key key,
    @required this.merchantEmail,
    @required this.secretKey,
    @required this.transactionId,
  }) : super(key: key);

  @override
  _VerifyPaymentWidgetState createState() => _VerifyPaymentWidgetState();
}

class _VerifyPaymentWidgetState extends State<VerifyPaymentWidget> {
  @override
  Widget build(BuildContext context) {
    var provider = Provider.of<PaymentVerificationProvider>(context);

    return Dialog(
      child: Container(
        height: MediaQuery.of(context).size.height * .25,
        child: FutureBuilder<PayTabsBaseResponse<VerifyPaymentResponseEntity>>(
          future: provider.verifyPayment(),
          builder: (context, snapshot) {
            if (snapshot.connectionState == ConnectionState.done) {
              onVerifyResponse(snapshot.data.data);
              return SizedBox();
            } else {
              return showLoadingDialog();
            }
          },
        ),
      ),
    );
  }

  onVerifyResponse(VerifyPaymentResponseEntity data) {
    Navigator.pop(context, 0);
  }

  Widget showLoadingDialog() {
    return Container(
      height: MediaQuery.of(context).size.height * .25,
      child:  Center(child:
          Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              CircularProgressIndicator(),
              SizedBox(height: 20,),
              Text("Verifying payment...")
            ],
          )
      ),
    );
  }
}
